Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1133066 - FTBFS on ppc64/ppc64le
Summary: FTBFS on ppc64/ppc64le
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cbmc
Version: 21
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-08-22 15:16 UTC by Menanteau Guy
Modified: 2014-10-15 14:32 UTC (History)
3 users (show)

Fixed In Version: cbmc-4.9-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 04:29:46 UTC


Attachments (Terms of Use)
patch to retrieve arch (deleted)
2014-08-22 15:16 UTC, Menanteau Guy
no flags Details | Diff
log with cbmc patched to retrieve arch ppc64 little endian (deleted)
2014-08-22 15:22 UTC, Menanteau Guy
no flags Details

Description Menanteau Guy 2014-08-22 15:16:49 UTC
Created attachment 929685 [details]
patch to retrieve arch

cbmc failed to build from source in mass rebuild on ppc64 and ppc64le arches

http://ppc.koji.fedoraproject.org/koji/packageinfo?packageID=16417

http://ppc.koji.fedoraproject.org/kojifiles/work/tasks/3751/2003751/build.log

architecture seems not correctly retrieved.

Using attached patch, arch is retreived but lot of tests are still in error.

Comment 1 Menanteau Guy 2014-08-22 15:22:02 UTC
Created attachment 929686 [details]
log with cbmc patched to retrieve arch ppc64 little endian

log with cbmc patched, arch powerpc 64 little endian retrieved.
I didn't have a look to tests in error yet.

Comment 2 Jerry James 2014-08-22 15:29:58 UTC
Thanks for the report and the patch.  I will try to figure out why tests still fail with it.

Comment 3 Jerry James 2014-09-03 21:15:12 UTC
After some back and forth with upstream, we've got a build that passes all of its tests on both ppc64 and ppc64le.  I have built it for Rawhide and F-21, and upstream has applied the resulting patch, so it will be part of the next release.

Comment 4 Fedora Update System 2014-09-03 21:17:10 UTC
cbmc-4.7-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cbmc-4.7-3.fc21

Comment 5 Fedora Update System 2014-09-06 01:01:44 UTC
Package cbmc-4.7-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cbmc-4.7-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10235/cbmc-4.7-3.fc21
then log in and leave karma (feedback).

Comment 6 Menanteau Guy 2014-09-08 12:51:33 UTC
cbmc-4.7-3 scratch builds succeed on:
primary
http://koji.fedoraproject.org/koji/taskinfo?taskID=7543253
secondary
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2094327

Comment 7 Fedora Update System 2014-09-16 18:44:10 UTC
Package cbmc-4.9-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cbmc-4.9-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10235/cbmc-4.9-1.fc21
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-09-23 04:29:46 UTC
cbmc-4.9-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Breno Leitao 2014-10-13 21:18:26 UTC
Although it is not breaking the build on fedora/ppc64le, there are some tests fails that I am facing, as in the test: 

character_literals1

that has the following line:

STATIC_ASSERT('\xff' == (char)0xff);

and in this case ,it is causing the following error:

STATIC_ASSERT('\xff' == (char)0xff)

and the second argument is returning -1, which seems that char is not considered as unsgined.

Comment 10 Jerry James 2014-10-13 22:11:26 UTC
Breno, I did see that error when starting work on the problem, but the patch made it go away for me.  And not just for me, either; there is no sign of that error in the ppc64le build of cbmc-4.9-1.fc21:

http://ppc.koji.fedoraproject.org/koji/buildinfo?buildID=266344

Which version did you build, on what platform, to get this error?  If it is a koji build, can you post a link to the logs?  Thanks.

Comment 11 Breno Leitao 2014-10-15 14:32:30 UTC
Hi Jerry,

The problem appeared with the patch from Menanteau. I don't see any problem with the patch applied on Fedora packages, which is a bit different.

Thank you,
Breno


Note You need to log in before you can comment on or make changes to this bug.